namespace Intrepid.Utilities.Structures.Traits
{
    public interface IMutableTraits<in T> where T : ITrait
    {
        void Declare<TT>(TT trait) where TT : T;
        bool Discard<TT>() where TT : T;
    }
}